library ieee;

use ieee.std_logic_1164.all;

entity tbalu is
end tbalu;
architecture tbb of tbalu is
	component alu is
	port (a,b: in integer range -128 to 127;
	      op:  in integer range 0 to 3;
		  r:   out integer range -32768 to 32767;
		  s,z: out std_logic);
end component;

signal a,b:  integer range -128 to 127;
signal op: 	 integer range 0 to 3;
signal r: 	 integer range -32768 to 32767;
signal s,z: std_logic;

begin
	dut: alu port map (a,b,op,r,s,z);
	
	a<= 10 after 0 ns;
	
	b<= 20 after 0 ns;
	
	
	op <= 0 after 0 ns, 1 after 10 ns, 2 after 20 ns,
	3 after 30 ns;
				   end tbb;